Subject: :cherries: screenshot for module presentation updated
Author: ruzilia
Committer: ruzilia

Date Level Type Message
2019-07-26 09:23:01 INFO runbot init Init build environment
2019-07-26 09:23:01 INFO runbot checkout closest branch for odoo/odoo is refs/heads/11.0
2019-07-26 09:23:01 INFO runbot checkout closest branch for it-projects-llc/web is refs/heads/11.0
2019-07-26 09:23:01 INFO runbot checkout closest branch for it-projects-llc/website-addons is refs/heads/11.0
2019-07-26 09:23:01 INFO runbot checkout closest branch for it-projects-llc/access-addons is refs/heads/11.0
2019-07-26 09:23:01 INFO runbot checkout closest branch for it-projects-llc/mail-addons is refs/heads/11.0
2019-07-26 09:23:01 INFO runbot checkout closest branch for it-projects-llc/server-tools is refs/heads/11.0
2019-07-26 09:23:01 INFO runbot checkout closest branch for it-projects-llc/project is refs/heads/11.0
2019-07-26 09:23:01 INFO runbot checkout closest branch for it-projects-llc/hr is refs/heads/11.0
2019-07-26 09:23:01 INFO runbot checkout closest branch for OCA/website is refs/heads/11.0
2019-07-26 09:23:01 INFO runbot checkout closest branch for codup/odoo-ru is refs/heads/11.0
2019-07-26 09:23:01 INFO runbot checkout modules to install: [u'base', u'web_debranding']
2019-07-26 09:23:36 INFO runbot check_branch_name success
2019-07-26 09:23:39 INFO runbot test_base Test Updated and explicit modules
2019-07-26 09:23:39 INFO runbot _install_and_test DB: 02130-759-26a4c1-base, Modules: base, web_debranding
2019-07-26 09:24:33 INFO runbot pylint_script Start pylint script
2019-07-26 09:24:33 INFO runbot pylint_script No config file detected
2019-07-26 09:24:42 INFO runbot test_all ============= Test all modules =============
2019-07-26 09:24:42 INFO runbot _install_and_test DB: 02130-759-26a4c1-all, Modules: base, autostaging_project_task, base_attendance, res_users_signature, web_sessions_management, project_tags, custom_menu_bar, project_task_order_kanban_state, base_import_map, res_partner_phone, web_debranding, invoice_sale_order_line_group, ir_attachment_force_storage, product_category_taxes, project_gantt8, reminder_crm_next_action, web_iframe_pages, autostaging_base, ir_attachment_url, web_calendar_repeat_form, thecage_data, base_session_store_psql, project_kanban_customer, customer_marketing, gamification_extra, attachment_large_object, booking_calendar_analytic, fleet_odometer_oil, auth_signup_confirmation, import_csv_fix_field_limit, project_task_auto_staging, crm_next_action, web_tour_extra, base_details, reminder_base, barcode_widget, ir_attachment_s3, product_details, project_task_subtask, project_description, reminder_task_deadline, hr_rule_input_compute, delivery_sequence, res_partner_country_code, web_calendar_quick_navigation, web_gantt8, reminder_crm_next_action_time, ir_actions_todo_repeat, res_users_signature_hr, base_groupby_extra, reminder_issue_deadline, ir_config_parameter_multi_company, production_lot_details, web_multi_attachment_base, project_task_search_custom, reminder_hr_recruitment, web_iframe, project_timelog, pitch_booking, delivery_special, web_website, web_preview, auth_signup_confirmation_crm, currency_rate_update, sale_order_hide_tax, sms_sg, res_partner_skype, web_debranding_support, hr_public_holidays_ics_import, product_tags, crm_expected_revenue, web_polymorphic_field, fleet_odometer_track_changes, booking_calendar
2019-07-26 09:27:48 INFO runbot run Start running build 02130-759-26a4c1
2019-07-26 09:28:56 ERROR server odoo.addons.base.ir.ir_cron:110 _callback
Call from cron Procurement: run scheduler for server action #257 failed in Job #7
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 944, in __get__
    value = record.env.cache.get(record, self)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/api.py", line 967, in get
    value = self._data[key][field][record._ids[0]]
KeyError: 4

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('decimal.precision', <function DecimalPrecision.precision_get at 0x7fb37acf4d08>, 'Product Unit of Measure')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 273, in run_scheduler
    self._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 237, in _run_scheduler_tasks
    self.sudo()._procure_orderpoint_confirm(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 343, in _procure_orderpoint_confirm
    key = self._procurement_from_orderpoint_get_grouping_key([orderpoint.id])
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 289, in _procurement_from_orderpoint_get_grouping_key
    return orderpoints.location_id.id
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 948, in __get__
    self.determine_value(record)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 1051, in determine_value
    record._prefetch_field(self)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2657, in _prefetch_field
    result = records.read([f.name for f in fs], load='_classic_write')
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2595, in read
    self._read_from_database(stored, inherited)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2695, in _read_from_database
    for field in (self._fields[name] for name in field_names + inherited_field_names)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2697, in <listcomp>
    if field.base_field.store and field.base_field.column_type
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 1204, in column_type
    return ('numeric', 'numeric') if self.digits is not None else \
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 1211, in digits
    return self._digits(cr)
  File "<string>", line 10, in change_digit
  File "<decorator-gen-76>", line 2, in precision_get
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/decimal_precision/models/decimal_precision.py", line 19, in precision_get
    self.env.cr.execute('select digits from decimal_precision where name=%s', (application,))
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 486, in __getattr__
    cr = self._cursor = registry(self.dbname).cursor()
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/modules/registry.py", line 484, in cursor
    return self._db.cursor()
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 637, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 178, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 520, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 583, in borrow
    raise PoolError('The Connection Pool Is Full')
psycopg2.pool.PoolError: The Connection Pool Is Full

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/base/ir/ir_cron.py", line 102, in _callback
    self.env['ir.actions.server'].browse(server_action_id).run()
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/base/ir/ir_actions.py", line 557, in run
    res = func(action, eval_context=eval_context)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/website/models/ir_actions.py", line 57, in run_action_code_multi
    res = super(ServerAction, self).run_action_code_multi(action, eval_context)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/base/ir/ir_actions.py", line 433, in run_action_code_multi
    safe_eval(action.sudo().code.strip(), eval_context, mode="exec", nocopy=True)  # nocopy allows to return 'action'
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/safe_eval.py", line 373, in safe_eval
    pycompat.reraise(ValueError, ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr)), exc_info[2])
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 273, in run_scheduler
    self._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 237, in _run_scheduler_tasks
    self.sudo()._procure_orderpoint_confirm(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 343, in _procure_orderpoint_confirm
    key = self._procurement_from_orderpoint_get_grouping_key([orderpoint.id])
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 289, in _procurement_from_orderpoint_get_grouping_key
    return orderpoints.location_id.id
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 948, in __get__
    self.determine_value(record)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 1051, in determine_value
    record._prefetch_field(self)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2657, in _prefetch_field
    result = records.read([f.name for f in fs], load='_classic_write')
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2595, in read
    self._read_from_database(stored, inherited)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2695, in _read_from_database
    for field in (self._fields[name] for name in field_names + inherited_field_names)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2697, in <listcomp>
    if field.base_field.store and field.base_field.column_type
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 1204, in column_type
    return ('numeric', 'numeric') if self.digits is not None else \
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 1211, in digits
    return self._digits(cr)
  File "<string>", line 10, in change_digit
  File "<decorator-gen-76>", line 2, in precision_get
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/decimal_precision/models/decimal_precision.py", line 19, in precision_get
    self.env.cr.execute('select digits from decimal_precision where name=%s', (application,))
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 486, in __getattr__
    cr = self._cursor = registry(self.dbname).cursor()
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/modules/registry.py", line 484, in cursor
    return self._db.cursor()
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 637, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 178, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 520, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 583, in borrow
    raise PoolError('The Connection Pool Is Full')
ValueError: <class 'psycopg2.pool.PoolError'>: "The Connection Pool Is Full" while evaluating
'model.run_scheduler(True)'
2019-07-26 09:30:44 WARNING server py.warnings:99 _showwarnmsg
/usr/local/lib/python3.6/site-packages/werkzeug/filesystem.py:63: BrokenFilesystemWarning: Detected a misconfigured UNIX filesystem: Will use UTF-8 as filesystem encoding instead of 'ascii'
  BrokenFilesystemWarning)
2019-07-26 09:30:44 ERROR server werkzeug:87 _log
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 205, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 193, in execute
    application_iter = app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/service/wsgi_server.py", line 166, in application
    return application_unproxied(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/service/wsgi_server.py", line 154, in application_unproxied
    result = handler(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/http.py", line 1321, in __call__
    return self.dispatch(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/http.py", line 1295, in __call__
    return self.app(environ, start_wrapped)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/wsgi.py", line 599, in __call__
    return self.app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/http.py", line 1493, in dispatch
    result = ir_http._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/auth_signup/models/ir_http.py", line 19, in _dispatch
    return super(Http, cls)._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/web_editor/models/ir_http.py", line 22, in _dispatch
    return super(IrHttp, cls)._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/base/ir/ir_http.py", line 212, in _dispatch
    return cls._handle_exception(e)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/base/ir/ir_http.py", line 182, in _handle_exception
    return request._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/http.py", line 773, in _handle_exception
    return super(HttpRequest, self)._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/http.py", line 312, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/base/ir/ir_http.py", line 208, in _dispatch
    result = request.dispatch()
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/http.py", line 832, in dispatch
    r = self._call_function(**self.params)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/http.py", line 344, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/http.py", line 337, in checked_call
    result = self.endpoint(*a, **kw)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/http.py", line 939, in __call__
    return self.method(*args, **kw)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/http.py", line 517, in response_wrap
    response = f(*args, **kw)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/web_debranding/controllers/main.py", line 84, in qweb
    content = debrand_bytes(request.session.db and request.env or None, content)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/web_debranding/models/ir_translation.py", line 60, in debrand_bytes
    return bytes(debrand(env, source.decode('utf-8')), 'utf-8')
AttributeError: 'str' object has no attribute 'decode'
2019-07-27 09:27:36 ERROR server odoo.addons.base.ir.ir_cron:110 _callback
Call from cron Procurement: run scheduler for server action #257 failed in Job #7
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 944, in __get__
    value = record.env.cache.get(record, self)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/api.py", line 967, in get
    value = self._data[key][field][record._ids[0]]
KeyError: 4

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('decimal.precision', <function DecimalPrecision.precision_get at 0x7fb37acf4d08>, 'Product Unit of Measure')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 273, in run_scheduler
    self._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 237, in _run_scheduler_tasks
    self.sudo()._procure_orderpoint_confirm(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 343, in _procure_orderpoint_confirm
    key = self._procurement_from_orderpoint_get_grouping_key([orderpoint.id])
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 289, in _procurement_from_orderpoint_get_grouping_key
    return orderpoints.location_id.id
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 948, in __get__
    self.determine_value(record)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 1051, in determine_value
    record._prefetch_field(self)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2657, in _prefetch_field
    result = records.read([f.name for f in fs], load='_classic_write')
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2595, in read
    self._read_from_database(stored, inherited)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2695, in _read_from_database
    for field in (self._fields[name] for name in field_names + inherited_field_names)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2697, in <listcomp>
    if field.base_field.store and field.base_field.column_type
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 1204, in column_type
    return ('numeric', 'numeric') if self.digits is not None else \
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 1211, in digits
    return self._digits(cr)
  File "<string>", line 10, in change_digit
  File "<decorator-gen-76>", line 2, in precision_get
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/decimal_precision/models/decimal_precision.py", line 19, in precision_get
    self.env.cr.execute('select digits from decimal_precision where name=%s', (application,))
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 486, in __getattr__
    cr = self._cursor = registry(self.dbname).cursor()
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/modules/registry.py", line 484, in cursor
    return self._db.cursor()
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 637, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 178, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 520, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 583, in borrow
    raise PoolError('The Connection Pool Is Full')
psycopg2.pool.PoolError: The Connection Pool Is Full

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/base/ir/ir_cron.py", line 102, in _callback
    self.env['ir.actions.server'].browse(server_action_id).run()
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/base/ir/ir_actions.py", line 557, in run
    res = func(action, eval_context=eval_context)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/website/models/ir_actions.py", line 57, in run_action_code_multi
    res = super(ServerAction, self).run_action_code_multi(action, eval_context)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/base/ir/ir_actions.py", line 433, in run_action_code_multi
    safe_eval(action.sudo().code.strip(), eval_context, mode="exec", nocopy=True)  # nocopy allows to return 'action'
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/safe_eval.py", line 373, in safe_eval
    pycompat.reraise(ValueError, ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr)), exc_info[2])
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 273, in run_scheduler
    self._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 237, in _run_scheduler_tasks
    self.sudo()._procure_orderpoint_confirm(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 343, in _procure_orderpoint_confirm
    key = self._procurement_from_orderpoint_get_grouping_key([orderpoint.id])
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/stock/models/procurement.py", line 289, in _procurement_from_orderpoint_get_grouping_key
    return orderpoints.location_id.id
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 948, in __get__
    self.determine_value(record)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 1051, in determine_value
    record._prefetch_field(self)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2657, in _prefetch_field
    result = records.read([f.name for f in fs], load='_classic_write')
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2595, in read
    self._read_from_database(stored, inherited)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2695, in _read_from_database
    for field in (self._fields[name] for name in field_names + inherited_field_names)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/models.py", line 2697, in <listcomp>
    if field.base_field.store and field.base_field.column_type
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 1204, in column_type
    return ('numeric', 'numeric') if self.digits is not None else \
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/fields.py", line 1211, in digits
    return self._digits(cr)
  File "<string>", line 10, in change_digit
  File "<decorator-gen-76>", line 2, in precision_get
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/addons/decimal_precision/models/decimal_precision.py", line 19, in precision_get
    self.env.cr.execute('select digits from decimal_precision where name=%s', (application,))
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 486, in __getattr__
    cr = self._cursor = registry(self.dbname).cursor()
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/modules/registry.py", line 484, in cursor
    return self._db.cursor()
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 637, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 178, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 520, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/02130-759-26a4c1/odoo/sql_db.py", line 583, in borrow
    raise PoolError('The Connection Pool Is Full')
ValueError: <class 'psycopg2.pool.PoolError'>: "The Connection Pool Is Full" while evaluating
'model.run_scheduler(True)'
2019-07-27 11:58:56 INFO runbot kill Kill build 02130-759-26a4c1